GET route/{routeName}/tripestimate?fromStopId={fromStopId}&toStopId={toStopId}
Retrieve a list of all future estimates for the given stop IDs. NOTE: Origin and Destination stops must belong to the same route, and in the proper sequence or an error response will be sent.
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| routeName | string |
Required |
|
| fromStopId | integer |
Required |
|
| toStopId | integer |
Required |
Body Parameters
None.
Response Information
Resource Description
Collection of TripEstimate| Name | Description | Type | Additional information |
|---|---|---|---|
| RouteName | string |
None. |
|
| OriginStopId |
The starting point Stop Id |
integer |
None. |
| DestinationStopId |
The destination Stop Id |
integer |
None. |
| ExpectedDepartureTime |
The predicted time a vehicle should arrive at the OriginStopId |
date |
None. |
| TripDuration |
Total trip time. |
time interval |
None. |
| VehicleId |
The vehicle id which is expected to service the trip. |
integer |
None. |
Response Formats
application/json, text/json
Sample:
[
{
"RouteName": "sample string 1",
"OriginStopId": 2,
"DestinationStopId": 3,
"ExpectedDepartureTime": "2026-03-01T17:46:56.4600053-08:00",
"TripDuration": "00:00:00.1234567",
"VehicleId": 1
},
{
"RouteName": "sample string 1",
"OriginStopId": 2,
"DestinationStopId": 3,
"ExpectedDepartureTime": "2026-03-01T17:46:56.4600053-08:00",
"TripDuration": "00:00:00.1234567",
"VehicleId": 1
}
]
text/html
Sample:
[{"RouteName":"sample string 1","OriginStopId":2,"DestinationStopId":3,"ExpectedDepartureTime":"2026-03-01T17:46:56.4600053-08:00","TripDuration":"00:00:00.1234567","VehicleId":1},{"RouteName":"sample string 1","OriginStopId":2,"DestinationStopId":3,"ExpectedDepartureTime":"2026-03-01T17:46:56.4600053-08:00","TripDuration":"00:00:00.1234567","VehicleId":1}]
application/xml, text/xml
Sample:
<ArrayOfTripEstimate xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/ACTransit.Transit.Domain.Models">
<TripEstimate>
<DestinationStopId>3</DestinationStopId>
<ExpectedDepartureTime>2026-03-01T17:46:56.4600053-08:00</ExpectedDepartureTime>
<OriginStopId>2</OriginStopId>
<RouteName>sample string 1</RouteName>
<TripDuration>PT0.1234567S</TripDuration>
<VehicleId>1</VehicleId>
</TripEstimate>
<TripEstimate>
<DestinationStopId>3</DestinationStopId>
<ExpectedDepartureTime>2026-03-01T17:46:56.4600053-08:00</ExpectedDepartureTime>
<OriginStopId>2</OriginStopId>
<RouteName>sample string 1</RouteName>
<TripDuration>PT0.1234567S</TripDuration>
<VehicleId>1</VehicleId>
</TripEstimate>
</ArrayOfTripEstimate>
